Welcome to TUGZip

Introduction to TUGZip 3
Welcome!
Thank you for installing TUGZip 3. We hope that TUGZip 3 will suite your needs.
Introduction
TUGZip is a powerful award-winning freeware archiving utility for Windows® that provides support for a wide range of compressed, encoded and disc-image files, as well as many other very powerful features; all through an easy to use application interface and Windows Explorer integration.

Features Overview
  • Supports ZIP, 7-ZIP, A, ACE, ARC, ARJ, BZ2, CAB, CPIO, DEB, GCA, GZ, IMP, LHA (LZH), LIB, RAR, RPM, SQX, TAR, TGZ, TBZ, TAZ, YZ1 and ZOO archives.
  • Supports BIN, C2D, IMG, ISO and NRG disc-images.
  • Support for external plug-ins.
  • Windows® shell integration, e.g. drag & drop, shell context menu and drop handlers.
  • Create 7-ZIP, BZ2, CAB, LHA (LZH), SQX, TAR, TGZ, YZ1 and ZIP archives.
  • Support for the Zip64 algorithm which allows you to create ZIP archives larger than 4GB.
  • Script support which allows you to make automated backups.
  • Basic features like: add, extract, delete, rename, run, view, checkout, install, test, comment, SFX, virus-scanning, disk-spanning and much more.
  • Repair corrupted archives.
  • Can extract multiple archives at once using Multi Extract.
  • Encrypt archives using 6 different algorithms. Blowfish (128-bit), DES (56-bit), Triple DES (168-bit) and Rijndael (128-bit, 192-bit and 256-bit).
  • Create self-extracting encrypted archives.
  • Automatic updates using the "Web Update" function.


What Is New

What's New

Note that bugfixes are not listed here, for more information look in "whatsnew.txt" in the TUGZip root directory.

What's new in version 3.0.0.0:

  • Updated program icons, added 48x48 sizes.
  • Many bugs and memory leaks fixed.
  • Major shell context menu speed improvements.
  • The setup do now disable the Windows XP Zip support automaticly.
  • Periods removed from the archive type description. Reassociation needed to take a affect.
  • A couple of new describing texts added the to config window.
  • Socks 4,4A and 5 support added for the web-update function.
  • Subfolders are now correctly extracted from 7-zip and Cabinet archives.
  • Cab, Rar, Zip & Jar compatibility improved.
  • Improved rar identifying routines.
  • Shell archive misspelling fixed.
  • Improved logging features in TzScript.exe. All error messages are now send to the stderr IO stream.
  • TimeExtension variable added to the script engine.
  • Pressing cancel when asked for password on encrypted zip archive do now cancel the entire process, not just the current file to be extracted.
  • Spelling mistakes corrected.
  • Added the "Go to the archive directory" button the explorer toolbar.
  • The enter key can now be used to open directories in the archive listview.
  • Added support for drop handlers. It's now possible to drag and drop files on an archive in Explorer to add the files to the archive.
  • A configuration wizard added. It's shown the first time TUGZip is started.
  • Automatic language download tool added.
  • Support for extracting muleple archives from the shell context menu. "Extract here" and "Extract here using filenames for folders" menu items only.
  • Added support for displaying short path names in the shell context menu.
  • Temporary files used are now correctly removed.
  • The 7-Zip plugin is updated. You are now chosing between the "correct" LZMA compression levels. The dictionary size and all other settings are automaticly configured the same way as in 7-Zip.
  • Support for deleting files from 7-Zip archives.
  • Dropping a file (archive) from explorer to the archive listview when no archive is open will now open the archive instead of suggesting to create a new archive.
  • New icons added to TzRes.dll to use as archive icons.
  • Improved storing of toolbar data (positioning etc.).
  • Shell extension "Extract here" bug fixed. It's now working properly dragging and dropping between different drives.
  • Directory structure is now correnclty stored when extracting Ace archives.
  • Lowercase file extension is now used on archive created from the shell extension.
  • The archive comment property page status is correctly shown in the configuration window.
  • Updating the filter settings is now triggered by the press of the Enter key.
  • Advanced span naming is set to default since many users didn't know how to use it.
  • Added support for creating 7-zip SFX archives from the context-menu.
  • Added support for testing from the context-menu.
  • Support for copying files withing the archive and paste them in Explorer.
  • The default temporary folder is now the same as windows default.
  • Added a describing text to the temporary folder settings.
  • Support for automaticly displaying archve comment when opening archive.
  • Added support for backing-up the association configuration.
  • Support for changing the default program folder.
  • Support for restoring default settings.
  • New icons, once again created by Foood. Thanks!
  • "Open File" added the the archive listview popup menu.
  • Multi-spanned Zip archive compatibility improved.
  • Flicker when resizing main window removed.
  • Archive name and path is now displayed in the titlebar.
  • Support for editing the main comment in Zip archives.
  • Added support for changing the compression level on Tgz (tar.gz) and Tbz (tar.bz) archives.
  • New core developed, based on a plugin system.
  • Completely new explorer system. This will be the final system.
  • Decreased memory usage.
  • Faster startup time.
  • New improved configuration system.
  • ew translation system. This is the final system and will be used in all future versions of TUGZip.
  • Removed the "Span Extractor" tool, the features are now intergrated in the Zip routines.
  • You may now search the shell listview aswell as the archive listview.
  • The batch tool do now support folders.
  • Updated self-extracting modules.
  • Support for ClearType fonts.
  • It's now possible to change the view-style of the archive listview.
  • Support for larger system font than small.
  • TUGZip status are now shown in the Windows taskbar.
  • Archive information is displayed in the statusbar.
  • Added Web Update proxy support.
  • Removed the last backslash from the shell extension right-click menu and made the folder and file names shorter.
  • Support for viewing and extracting ISO, IMG, BIN/CUE, NRG and C2D images.
  • Updated script engine. It do now support password protected archives. Please see the help file for more information on what's changed.
  • Redesigned compress window.
  • Added support for creating self-extracting 7-zip archives.
  • Logging support.
  • Removed the shell extension file path shown when right clickin on a non archive file.
  • Support for archive directory view.
  • Added option to open the target folder after extraction.
  • Filter settings are now stored in registry.
  • Added wildcard support for managing the favourite archives.

What's new in version 2.0.0.0:

  • Added support for RAR 3.0 archives.
  • Support for SQX archives (creating, extracting, repairing testing etc).
  • Can create 7-zip archives (only extraction supported in earlier version).
  • Support for repairing broken Zip and SQX archives.
  • Totally new Zip engine, much faster and more powerful.
  • Dynamic columns. If an archive does not support to display e.g. the CRC of the files in the archive the column will automatically be removed. The user may choose what columns to use.
  • New GUI. You can choose between explorer style and classic style.
  • Support for virus scanning.
  • Improved way of handling your settings, almost every checkbox/radiobutton setting e.g. on the extract dialog are now saved in the registry.
  • Rebuilt install/checkout functions.
  • Support for mailing archives in two ways, standard and silent.
  • Support for printing file lists into ether a HTML document or a text document.
  • Support for archive renaming.
  • A new separate SFX-tool is included in the package which allows the user to create very powerful self-extracting archives.
  • The multi-extract and batch tools are improved a lot.
  • New very nice looking graphics, made by FOOOD.
  • A new separate scripting tool is included. It's is perfect for making regular backups. The scripts are written in javascript.
  • Added support for encryption and decryption of archives. Currently 4 different algorithms are supported: Blowfish (128-bit), DES (56-bit), Triple DES (168-bit) and Rijndael (128-bit,192-bit and 256-bit).
  • Support for creating self-extracting encrypted archives.
  • Automatic updates using the new "Web Update" function.
  • All dialogs are redesigned.
  • The shell extension is improved a lot. It contains more features and a lot of bugfixes.
  • Support for extracting and viewing Zoo, Imp and Arc archives.
  • Improved Zip identification routines.
  • Added support for creating self-extracting Ace, Rar, Zip, Cab and Lha (lzh) archives.

What's new in version 1.1.0.0:

  • The default language is now English instead of Swedish.
  • Multi-language support.
  • Added a new plug-in called: Batchzip
  • Renamed a few things in the Multi-extract plug-in.
  • Integration with SFXMaker, if the user has SFXMaker installed they will be asked to use SFXMake instead of the SFX functions provided by TUGZip.
  • The help is now translated into English.
  • Added GZip and Cpio archives to the filter in the open dialog.


License
TUGZIP 3.0.0.0

Copyright © 2002-2004 Christian Kindahl (author).

Please carefully read the following terms and conditions before using TUGZip.
Your use of TUGZip indicates your acceptance of this license agreement.

TUGZip VERSION 3 END-USER LICENSE AGREEMENT

IMPORTANT-READ CAREFULLY:
This TUGZip End-User License Agreement ("EULA") is a legal agreement between
you (either an individual or a single entity) and the Author of the SOFTWARE
identified above.

1. GRANT OF LICENSE.
The Author grants you a limited, non-exclusive, non-transferable,
royalty-free license to use the executable code of the SOFTWARE on your
computer as long as the terms of this agreement are respected.

2. DISTRIBUTION.
You are hereby licensed to make copies of the SOFTWARE as you wish; give
exact copies of the original SOFTWARE to anyone; and distribute the
SOFTWARE in its unmodified form via electronic means (Internet, BBS's,
Shareware distribution libraries, CD-ROMs, etc.). You may charge a
distribution fee for the package, but you must not represent in any way
that you are selling the SOFTWARE itself. Your distribution of the SOFTWARE
will not entitle you to any compensation from the Author. You must
distribute a copy of this EULA with any copy of the SOFTWARE and anyone to
whom you distribute the SOFTWARE is subject to this EULA.

3. MAINTENANCE.
The Author is not obligated to provide maintenance or updates for the
SOFTWARE. However, any maintenance or updates provided by The Author
shall be covered by this Agreement.

4. TERMINATION.
Without prejudice to any other rights, the Author may terminate this EULA
if you fail to comply with the terms and conditions of this EULA. In such
event, you must destroy all copies of the SOFTWARE.

5. COPYRIGHT.
The SOFTWARE is protected by copyright laws and international treaty
provisions. You acknowledge that no title to the intellectual property in
the SOFTWARE is transferred to you. You further acknowledge that title and
full ownership rights to the SOFTWARE will remain the exclusive property of
the Author and you will not acquire any rights to the SOFTWARE except as
expressly set forth in this license. You agree that any copies of the
SOFTWARE will contain the same proprietary notices which appear on and in
the SOFTWARE.

6. WARRANTIES.
The Author expressly disclaims any warranty for the SOFTWARE. THE
SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS"
WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


Support

Before sending in bug reports or contacting me, I would like you to make sure that you are using the latest version of TUGZip either by using the built-in "Web Update" function or by downloading the latest version from http://www.tugzip.com.

If you are reporting a bug please include the following information:
  • Can you reproduce the error/bug? In that case please describe the steps to reproduce the error.
  • What OS are you using, Win98, WinXP etc? What service packs are installed etc?
  • Which version of TUGZip are you using?
  • If there is an error message, please specify its contents.

Send your reports via e-mail to: christian@tugzip.com.


Updating and Uninstalling
To remove TUGZip from your system, open the Control Panel, double click on Add/Remove Programs, and double click on the TUGZip entry. A system restart will most probably be needed.


Create An Archive / Add Files To An Archive

To add files to an archive simply click the "Add" button on the toolbar or from the menu. You can also add files from the "Create archive" window.

File selection
Please select the files and/or folders that you want to add to your archive in this explorer view. Click on an item to select it.
Name
In this field you should specify a name of the archive that you want to create. The file extension is not important in this step, it will be set later. You can click the browse button to select a file name of your choice. You may also enter a file name on your own directly in the field.
Format
Please select what kind of format you want to compress your file into. The file extension will be changed automatically when you change the archive format. Knowing what format to use may be difficult to know for new users. For best compatibility use the ZIP format. Almost every archiving tool out there supports the ZIP format. SQX and 7-ZIP (7Z) are two formats which provide very good compression and they both have better compression ratio than ZIP.
Create a self-extracting archive
If you want to create a SelF-eXtracting archive you may check this option. A self-extracting archive is an archive which doesn't need an archiving tool such as TUGZip to extract its contents. It has decompression routines built-in and can therefore extract itself. This is good if you want to transfer your compressed files to a computer which does not have any archiving utility installed. Note that you can create SFX archives of existing non-SFX archives, simply use TUGZip Self-Extractor.
Recursive file scan

This option enables recursive file scanning. For example, you have a directory structure which looks like this and you have selected the C:\Projects directory in the file selection window:

C:\Projects\Project1
C:\Projects\Project2
C:\Projects\Images

You want to add all the contents of C:\Projects to an archive. Then you must check the recursive file scan option or else only the files listed in the C:\Projects directory will be added. When checking the recursive file scan option you allow TUGZip to add C:\Project and all subdirectories.
Save folder names
Check this option if you want to store the folder names in the archive. If not the files will be added to the archive root directory and you will not be able to extract the archive contents using the same directory structure as it may have in an archived state.
Include hidden files
This option let you define whether you want to include hidden files in your archive.
DOS names
If this option is set, all the files added to the archive will use DOS names. If you are not familiar with DOS names this is probably nothing you want to do.
Compression level
In this combo box you may specify what compression level you want to use. On the most common formats this option let you select between options like: None, Normal, Maximum, etc. But some formats such as 7-Zip, LZH and CAB let you specify what algorithm to use. Maximum gives the best compression ratio but is slower than normal. Select a compression level of your choice.
Dictionary size
This is mainly for expert users. It let you set the dictionary size of the archive. Changing this option will give better compression ratio in some cases. Using the default dictionary size of 4096kB is the best in most cases.
Recovery data
Adding recovery data to your archive will increase the chances of repairing it if it becomes corrupt. It will also increase the archive size. You may add recovery data to your archive if you for example are archiving very important data and transferring it to another computer using an unstable transfer media such as old floppy disks.
Multimedia compression
When this option is set a special algorithm will be used when compressing multimedia files which will compress them in a more efficient way.
EXE compression
When this option is set a special algorithm will be used when compressing .exe files which will compress them in a more efficient way.
Create solid archive
When creating a solid archive all data added to the archive is depending on the earlier data added. This will in most cases result in smaller archives. There is a one negative thing extracting solid archives though. If you want to extract only a few selected files from a solid archive, all files in the archive have to be temporary extracted because all files are dependent on each other.
Encryption
This option allows you to encrypt the contents of the archive. You will not be able to extract the contents of the archive if the correct password isn't supplied.
Encrypt file names
When viewing encrypted archives the file names are still visible. When this option is set you will prevent this. The user is not able to see any file names in the archive.
Advanced span naming & spanning mode

If the advanced span naming option is set to true and the span mode is set to Spanning, the archive volumes will be named like this: MyArchive_001.zip, MyArchive_002.zip & MyArchive_003.zip. If advanced span naming is deactivated and the span mode is set to Spanning, the archive volumes will be named: MyArchive.zip on all disks. If advanced span naming is deactivated and the span mode is set to Splitting, the archive volumes will be named like this: MyArchive.zip, MyArchive.z01 & MyArchive.z02.
Span size
This field allows you to specify the size of each volume in the disk set. Set this option to Custom if you want to specify your own volume size in the field to the left.


Batch Archive Creation
The batch archive creation tool allows you to create a separate archive for each file added to the list. To use the batch creation tool you may do the following steps:
  1. Click the "Add" button to add a file to the list.
  2. Repeat step 1 until all of your files are added.
  3. Select the target archive format in the combo box. The archive format you choose will apply for all files.
  4. Click the "OK" button to begin the process.
If you compress a file named: MyProgram.exe using the batch archive creation tool (Zip format) the output file will be named: MyProgram.zip and it will be saved in the same directory as MyProgram.exe.


Checkout Archive
If you want to overview the contents of an archive, the checkout function is probably what you want to use. It extracts all files in the opened archive to a temporary directory and then creates shortcuts on the start menu to the files. When you are done exploring the archive contents from the start menu simply click on the TUGZip window and you will be asked to remove the temporary files. The checkout function is accessible from the "Actions" section in the main menu.
Target
 | In the target field you should specify where you want the archive contents to be extracted. You can use the explorer view to select a target directory or enter one of your own. If the folder does not exist TUGZip will ask you if it should be created.
Group name
 | The group name is the name of the start menu item. If you name your group to "MyGroup" the archive contents will be accessable from: Startmenu->Programs->MyGroup.
Open group folder after extraction
 | When this option is set the group folder will be opened with Windows Explorer.
Create icons for programs and documents only
 | If this checkbox is checked TUGZip will only create shortcuts for programs (*.exe) and documents (*.doc, *.rtf, *.txt & *.nfo) only. This is very good to use on archives containing many files.
Prompt deletion after extraction
 | When this option is set you will be asked to delete the files after they are extracted. This may be useful if you just what to overview an archive without keeping the archive contents decompressed on your hard drive.


Decrypt Archive
To decrypt an archive, click on the "Decrypt Archive" button in the Encryption section under Tools, in the main menu.
File to decrypt
 | Specify the file that you want to decrypt in this field.
Target
 | The decrypted file will be stored in the target directory that you specify in this field.
Password
 | In this field you should specify the password required to decrypt the archive.
Important notice: If you specify an invalid password the decrypted file will be corrupt. You will not receive a message like: "Error bad password!". This is a way to make it even safer. No password verification code exists in .tze files.


Encrypt Archive
To encrypt an archive, click on the "Encrypt Archive" button in the Encryption section under Tools, in the main menu.
File to encrypt
 | Specify the file that you want to encrypt in this field.
Encrypted file output
 | In this field you should specify the output file name. That is the name of the encrypted file. If you enter C:\Test.tze in this field the file you specified above will be encrypted and saved to: C:\Test.tze.
Algorithm
 | In this combo box you choose which encryption algorithm you want to use. If you do not know which one to use, I recommend the Rijndael 256-bit algorithm. It uses the largest key and is one of most secure algorithms that officially exists.
Password
 | Enter a password of your choice in the two password fields. Don't forget your password. You will not be able to decrypt the file if you do not know the password.


Self-Extracting Encrypted Archive
To create a self-extracting encrypted archive, click on the "Convert to SFX" button in the Encryption section under Tools, in the main menu. A self-extracting encrypted archive is an encrypted archive that doesn't require TUGZip to decrypt them. They simply decrypt themselves if the correct password is supplied.
Encrypted file
 | In this field you specify which encrypted file that you want to convert to a self-extracting encrypted file. Note that the source file will not be deleted when converting.
Stub type
 | A stub contains the executable code that will be added to the encrypted file. It contains decryption algorithms so it can decrypt itself. There are currently two types of stubs available, a DOS version and a Windows version.


Extract Files From An Archive
To extract the contents of an archive, simply click the "Extract" button on the toolbar or from the menu. You may also use the dropdown arrow on the "Extract" button to extract all the contents directly to your favourite folder.
Target
 | In this field you should specify where you want the archive contents to be extracted. You can use the explorer tree to navigate to the folder you want or you can enter one on your own. If the target directory does not exist, TUGZip will ask you if it should be created.
Files
 | There are two alternatives here. You can extract the selected files or all the files. The selected files option is only available if you have selected any files in the archive list view in the main window.
Create folders
 | This option lets you decide if you want to keep the directory structure in the archive on the extracted files. If this option is unchecked no directories will be created and all the contents of the archive will be extracted to the target folder.
Overwrite
 | If this option is set all files that exist when TUGZip extracts the archive will be overwritten. Uncheck this option if you want to keep your old files. If this option is not available the files will not be overwritten.


Manage Your Favourite Archives
To manage your favourite archives, click on the "Favourites" button on the toolbar (not the dropdown arrow) or on the menu. Your favourite archives will be easily accessible from the "Favourites" toolbar dropdown arrow and from the menu. To add an archives to your favourites do the following steps.
  1. Click on the "Favourites" button on the toolbar.
  2. Click on the "Add" button and select one of your favourite archives.
  3. Repeat step 2 until all your favourite archives are added to the list.
  4. Click "OK". Your favourite archives should now be visible when you click on the "Favourites" button dropdown arrow.


Manage Your Favourite Archives

Manage Your Favourite Folders
To manage your favourite folders, click on the "Customize" button on the menu which appears when right-clicking on the favourite folders toolbar. Your favourite folders will be easily accessible from the favourite folders toolbar. Favourite folders are used for faster navigation between folders in the combined and explorer view styles.
  1. Click on the "Customize" button on the menu which appears when right-clicking on the favourite folders toolbar.
  2. Click on the "Add" button and select one of your favourite folders.
  3. Repeat step 2 until all your favourite archives are added to the list.
  4. Click "OK". Your favourite archives should now be visible when you click on the favourite folders toolbar.
An alternate way of doing it:
  1. Click on the "Customize" button on the menu which appears when right-clicking on the favourite folders toolbar.
  2. Enter the full path of your favourite folder in the edit field named "Wildcard".
  3. Enter any comment of your choice in the edit field named "Comment".(optional)
  4. Repeat step 2 and 3 until you are done.
  5. Click "OK". Your favourite archives should now be visible on the favourite folders toolbar.


Extract Multiple Archives
The multi-extract tool is available under the Tools section on the menu. The multi-extract tool basically extracts all archives that you have added to the list of a specific directory.
Archives
 | This is the list where you should add your archives. You can use the "Add" button to add archives to the list.
Target
 | This is the folder where all the archives will be extracted. You can use the "Browse" button to select a directory or enter one of your own. If the target folder does not exist TUGZip will ask if it should be created.
Create folders
 | This option lets you decide if you want to keep the directory structure in the archive on the extracted files. If this option is unchecked no directories will be created and all the contents of the archive will be extracted to the target folder.
Overwrite
 | If this option is set all files that exist when TUGZip extracts the archive will be overwritten. Uncheck this option if you want to keep your old files. If this option is not available the files will not be overwritten.


Repair Archive
To repair an archive, click the "Repair Archive" button under the Tools section on the main menu. Currently you can only repair two kinds of archive formats, Zip and SQX archives.
Broken archive
 | Enter the full path to the broken archive in this field.
Repaired archive output
 | In this field you should enter a file name of the repaired file. If the file exists it will automatically be overwritten.


Web Update
To check for updates the "Web Update" function is perfect. It is accessible from the Help section on the main menu. When the window opens it will automatically check for updates and display some information in the information field. If there are any updates available the "Update" button will be enabled. Click on the "Update" button to start downloading the new version. When it's downloaded, exit TUGZip and continue installing the new version.


Appearance
Columns
 | In this section you can choose which columns you want to be visible from the archive list view. If you, for example, want the system column to be visible then check the "System" checkbox and click "OK". If the active archive format does not support system information the column will automatically be hidden.
View
 | Select which interface you want to use - the explorer style interface, the classic interface or the combined interface. The classic interface is the most common interface of other compression utilities.


Explorer View
View folders
 | Check this checkbox if you want to view folders in the explorer list view in the main window. If you want to change the filter you should do this from the explorer toolbar, which you can enable from the GUI tab in the configuration window.
View hidden files
 | Here you can select if you want to view hidden files in the explorer list view in the main window.
View Style
 | Here you can select what kind of view mode you would like to use in the explorer section of the program.
Show grid lines
 | Display grid lines to separate rows and columns in the explorer list view.
Full row select
 | This option allows you to click anywhere on the file's row of information in order to select it.


Archive View
View Style
 | Here you can select what kind of view mode you would like to use in the explorer section of the program.
Show grid lines
 | Display grid lines to separate rows and columns in the explorer list view.
Full row select
 | This option allows you to click anywhere on the file's row of information in order to select it.
Display folders in archive
 | This option allows you to view the complete directory and file structure of an archive. You will be able to view the archive contents in the same way Windows Explorer displays your hard drive contents.


Graphic User Interface
Use small toolbar icons
 | This option allows you to use small toolbar images (16x16 pixels).
Toolbar and menu style
 | Here you can choose which style you want to use on the toolbar and menu. If you, for example, don't have visual themes activated in Windows XP you may not want to have the Windows XP style in TUGZip.
Toolbars
 | Select which toolbars you want to use in the main window. You are able to close some toolbars directly from the main windows when they are visible. Right-click on a toolbar to open a menu if there is any.
32-bit alpha blended icons
 | This is an important option to configure, else all TUGZip graphics may look distorted. If you are running a non Windows XP system you must inactivate this option. If you are running a Windows XP system, but your screen settings are set to 16-bit colour or lower you also must inactivate this option. This option should only be enabled on Windows XP systems or newer with display settings set to 32-bit or higher. These are the only systems supporting 32-bit alpha blended icons.
 | Windows XP 32-bit. 32-bit alpha blended icons enabled.
 | Windows XP 32-bit. 32-bit alpha blended icons enabled
 | Windows XP 16-bit. 32-bit alpha blended icons enabled.
 | Windows XP 16-bit. 32-bit alpha blended icons enabled
 | Windows XP 16-bit. 32-bit alpha blended icons disabled.
 | Windows XP 16-bit. 32-bit alpha blended icons disabled


Miscellaneous
File-list double click action
 | This action is called when you are double clicking in the archive file list. If you want to view the selected file when you double click, then check the "View file" radio button. If you want to open the selected file on double click, then check the "Open file" radio button. The third option makes TUGZip ask you what to do when you double click.
Privacy
 | Click on the button with the caption "Clear" to clear the recent archives list which is accessible from the main menu.
Automatically display archive comment after opening archive
 | Check this option if you want the archive comment to be automatically displayed when the archive is opened. This only happens if the archive has a comment attached to it.


E-Mail
Silent mode
 | If the silent mode option is set, you will automatically send an e-mail to the specified user when clicking the "Mail Archive" button on the main menu. This option requires no interaction from the user. If this option is deactivated an Outlook (Express) e-mail window will popup and you will be able to enter the information you want.
Default receiver
 | If silent mode is activated you should enter the default receiver in this field. The e-mail address you enter here will be used for all e-mail send using the "Mail Archive" function from the main menu.
Default message
 | If silent mode is activated this message will be send to all users along with the archive attachment when using the "Mail Archive" function from the main menu.


Extraction
Favourite extraction folders
The favourite extraction folders are visible from the "Extract" button dropdown menu on the toolbar. The folders added to this list will be listed there. To add a folder to the list, simply click the "Add" button. You can modify the list using the "Delete" and "Clear" buttons as well.


Language
Language
 | Select the language you want to use in the dropdown combo box. If your language is not listed, please click the "Connect" button to connect to the TUGZip website and download more languages. Please note that TUGZip needs to be restarted for changes to take effect.
Download more languages
 | Click on the "Connect" button to connect to the TUGZip website and download more languages.


File List Printing
Store archive information
 | If this option is set archive information will be stored in the file as well. The archive information is as follows: Name, Location, Size, Creation Date and Last Modified Date.
Table border
 | This option will only affect the HTML file lists. You can choose to have a visible border around the HTML table.
Bold column titles
 | This option will only affect the HTML file lists. This option allows you to make the column title bold.
Colours
 | This option will only affect the HTML file lists. Here you can set the colours of some items in the file list.


Plug-ins
List of available plug-ins
This list view lists all plug-ins that are currently installed in the TUGZip environment. Some plug-ins may allow you to configure them separately; if that is the case the "Settings" button will be enabled when clicking on such a plug-in in the list.


Compression
Compression level
 | Here you can select the default compression level to be used. The maximum level will give the best compression ratio and the lowest will result in better compression speed. The default compression level is the recommended level by the plug-in and will often result in average compression ratio and speed.
Dictionary size
 | Specify the default dictionary size to be used when compressing.
Recovery data
 | Specify the default amount of recovery data to be mounted with the archive.
Other
 | For information on the other compression settings please take a look here.


Web Update
Proxy settings
 | Enter the address of your proxy server in the upper field and the port in the lower. If you don't know how to configure this setting please ask you administrator.
Socks
 | Select what socks version you want to use in this combo box. Currently socks 4, 4A and 5 are supported.
Socks host and port
 | Enter the address and port of your socks server in these two fields.
User and password
 | Enter your login information is these two fields.


System
Enable TUGZip shell extension
 | This option enables/disables the TUGZip shell extension. If you have disabled this option you would probably need to restart your computer in order to fully unload the TUGZip shell modules.
Verify archives using data signature check only
 | If this option is enabled all archives will be verified using a binary data signature check. If this option is deactivated the archive will be identified using the file extension. This is not as accurate as the data signature check. If a Zip file does not have the .zip extension it will not be recognized with this option deactivated. However, the data signature check may slow down old systems. It's recommended to use this feature on newer systems.
Display context menu items in a submenu
 | When this option is enabled the context menu items will be displayed in a submenu.
Enable the archive comment property page on Zip and SQX archives
 | If this option is enabled you will see a comment tab when viewing the properties of Zip and SQX files. This allows you to change/view the comment in a very easy way.
Display full paths in the shell menu
 | If this option is enabled, paths to directories and files will be displayed like this: C:\Fol...\Sub...\Arc.zip this may result in very large menu items if the shell extension is used in a directory with a long pathname. To avoid this, disable this option. If disabled only the file and folder name will be used. Example: Arc.zip
Menu items
 | In this list you choose which items you want to be visible in the shell context menu.


File Associations
Associated file types
 | Associated archives will be automatically opened with TUGZip when double-clicking on an archive in Windows. To associate an archive with TUGZip, simply check the checkbox on the left side of an archive type in the list. Click on any item in the list to view its information or change its icon.
Backup
 | Clicking this button will backup all association settings to a registry file.


Folder Locations
Temporary folder
 | In this field you should enter the folder used for temporary extractions. You should keep in mind that you need to have free disk space on the drive that the temporary folder is located. The temporary folder is by default set to your Windows® default temporary folder.
Program folder
 | Enter the folder that you want to be the default folder in the explorer and combined style interfaces.


External Applications
Virus scanner
 | You can define the location of your virus scanner to make it accessible from TUGZip. With most virus scanners you are required to enter the correct parameters to make it understand what file you want to scan. TUGZip has predefined parameters for 12 different virus scanners. If your virus scanner isn't listed you must find what parameters to use yourself. Take a look in the help file included with the virus scanner.
Viewer
 | In this field you may want to add the location of a viewer that you want to use when viewing files in an archive. This is by default set to notepad.exe.


Scripting
TUGZip V3 introduces an update to the popular scripting engine. This documentation will give you the information needed to create your own scripts.
How does it work?
All communication with the engine (TzScript.exe) is through TUGZip script files (*.tzs). The script files full path are passed as the parameter when launching TzScript.exe, if no parameter is used you will receive an error message telling you that an invalid parameter was used. The script files are then compiled and translated by the TzScript.exe and it will perform the actions that you have requested in the script.
What do the scripts look like?
The script files are written in JavaScript. The function that is called by the script engine is the "main" function. All scripts must have a function with this name. There are no restrictions, if you want to create your own functions, go ahead.
Example.tzs

function main()
{
var Decomp = new Decompress();

Decomp.Archive = "C:\\MyArchive.zip";
Decomp.Target = "C:\\Temp\\";
Decomp.CreateFolders = 1;
Decomp.Overwrite = 0;

Decomp.DoDecompress();
}

Classes
Compress
Decompress
Functions
FileExists
MessageBox
EncryptStr
DecryptStr
EncryptArc
DecryptArc
MakeSFX
Echo
Pause
GetInput
GetPass


Compress
This class is used for creating or updating archives. The class contains thirteen variables and one function. Click on a variable or function below to view its information.
Variables

Archive

This string value contains the full path to the archive that you want to create or update. Note that the archive extension decides what format will be used. If the file extension is .zip a Zip archive will be created. If the extension is .sqx a SQX archive will be created and so on.

Type

This value contains information on what archive format to use. It is a string value and should contain the format of the archive type to use, for example: "ZIP" or "7Z". All values that can be found in the format combo box in the create archive window can be used.

Compression

This integer value holds the compression level used when compressing the archive.

Compression Level Chart (0 - lowest, 4 - maximum)
Level/Format | 0 | 1 | 2 | 3 | 4
7Z | X | X | X | X | X
CAB | X | X | X |  |
LZH | X | X | X | X | X
SQX | X | X | X | X |
TAR |  |  |  |  |
TBZ | X | X | X | X | X
TGZ | X | X | X | X | X
YZ1 |  |  |  |  |
ZIP | X | X | X | X |

X = supported.

WorkingDir

This string value contains the full path to the working directory. The working directory is the directory that is used as the base directory. If you, for example, want to add the file: C:\Autoexec.bat to your archive, C:\ would be added as WorkingDir and Autoexec.bat would be added to the Data variable.

Data

This string variable contains all the files that you want to add to your archive. All files are separated with a "," (comma). For example if you have two files to add, Autoexec.bat and Config.sys the Data variable should be set like this: Data = "Autoexec.bat,Config.sys";

Password

This string value contains the password that you want to use if you want to use encryption on your archive. Set this variable to "" if you do not want to use any password encryption.

DateExtension

0 = no date extension
1 = add a date extension to your archive name

TimeExtension

0 = no time extension
1 = add a time extension to your archive name

Overwrite

0 = do not overwrite existing files
1 = overwrite existing files

Recurse

0 = do not allow recursive file scanning
1 = allow recursive file scanning

StoreFolderNames

0 = do not store the folder structure or save the folder names
1 = store the folder structure and save the folder names

IncludeHiddenFiles

0 = do not include hidden files
1 = include hidden files

FileList

An optional string variable that contains the full path to a TXT file which contains a list of all files and directories to add to the archive.
Functions

DoCompress

This is the only function in this class and it will start the compression. First, set the class variables, then execute this function to begin the process.
Example:

function main()
{
var Comp = new Compress();

Comp.Archive = "C:\\My_backup.zip";
Comp.Type = "ZIP";
Comp.Compression = 3;
Comp.WorkingDir = "C:\\";
Comp.Data = "file.txt,file2.txt,file3.txt";
Comp.Password = "";
Comp.DateExtension = 0;
Comp.TimeExtension = 0;
Comp.Overwrite = 1;
Comp.Recurse = 0;
Comp.StoreFolderNames = 1;
Comp.IncludeHiddenFiles = 1;

Comp.DoCompress();
}


Decompress
This class is used to extract archives. The class contains four variables and one function. Click on a variable or function below to view its information.
Variables

Archive

This string value contains the full path to the archive that you want to extract.

Target

This string value holds the target directory which the archive contents will be extracted.

CreateFolders

0 = directories will be created, all contents will be extracted to the target root directory
1 = contents will be extracted to the archives actual structure

Overwrite

0 = do not overwrite existing files
1 = overwrite existing files
Functions

DoDecompress

This is the only function in this class and it will start the extraction process. First, set the class variables, then execute this function to begin extracting the archive.
Example:

function main()
{
var Decomp = new Decompress();

Decomp.Archive = "C:\\MyArchive.zip";
Decomp.Target = "C:\\Temp\\";
Decomp.CreateFolders = 1;
Decomp.Overwrite = 0;

Decomp.DoDecompress();
}


FileExists
FileExists(var FileName)
This function simply checks if a file exists or not. It returns 1 if the file exists and 0 if it doesn't.
Example:

function main()
{
if (FileExists("C:\\Autoexec.bat"))
{
MessageBox("Autoexec.bat exists","Found File",0,0);
}
}


MessageBox
MessageBox(var Message,var Title,var Icon,var Buttons)
This function displays a message box, and returns 1 if the OK or YES button is pressed and 0 if the CANCEL or NO button is pressed. This function takes four arguments. The first one is the message itself. The second one is the title of the message box. The third one is which icon you want to use. The last one specifies what button set you want to use. There are four different icon types and three different button combinations.
Icon:
0 = Information
1 = Warning
2 = Error
3 = Question
Buttons:
0 = OK
1 = YES and NO
2 = OK and CANCEL
Example:

function main()
{
MessageBox("Hello World!","",0,0);
}


EncryptStr
EncryptStr(var Text,var Password,var Algorithm)
This function will encrypt the specified string and return the encrypted string. This function has three arguments. The first one is the text that you want to encrypt. The second one is the password that you want to use for the encryption and the third and last one is which algorithm you want to use. All six algorithms that are supported by TUGZip are of course supported here as well.
Algorithms:
0 = Blowfish (128-bit)
1 = DES (56-bit)
2 = TripleDES (168-bit)
3 = Rijndael (128-bit)
4 = Rijndael (192-bit)
5 = Rijndael (256-bit)
Example:

function main()
{
var Encrypted;

Encrypted = EncryptStr("This is a string.","MyPassword",5);
MessageBox(Encrypted,"Encrypted String",0,0);
}


DecryptStr
DecryptStr(var Text,var Pass,var Algorithm)
This function is the opposite of the EncryptStr function, it decrypts an already encrypted string. This function has three arguments. The first one is the encrypted string that you want to decrypt. The second one is the password required for decryption and the last one specifies what algorithm to use for decryption.
Algorithms:
0 = Blowfish (128-bit)
1 = DES (56-bit)
2 = TripleDES (168-bit)
3 = Rijndael (128-bit)
4 = Rijndael (192-bit)
5 = Rijndael (256-bit)
Example:

function main()
{
var Encrypted;
var Decrypted;

Encrypted = EncryptStr("This is a string.","MyPassword",5);
MessageBox(Encrypted,"Encrypted String",0,0);

Decrypted = DecryptStr(Encrypted,"MyPassword",5);
MessageBox(Decrypted,"Decrypted String",0,0);
}


EncryptArc
EncryptArc(var Input,var Output,var Password,var Algorithm)
This function encrypts an archive to a (.tze) file. This function has four arguments. The first is the input file, the file that you want to encrypt. The second is what the output file should be called. The third one is what password you want to use and the last one is what algorithm you want to use.
Algorithms:
0 = Blowfish (128-bit)
1 = DES (56-bit)
2 = TripleDES (168-bit)
3 = Rijndael (128-bit)
4 = Rijndael (192-bit)
5 = Rijndael (256-bit)
Example:

function main()
{
EncryptArc("C:\\Test.exe","C:\\Test.tze","MyPassword",5);
}


DecryptArc
DecryptArc(var Input,var Target,var Password)
This function decrypts *.tze files. The function has only three arguments. No algorithm information is needed when decrypting archives, the algorithm information are store in the encrypted files. The first argument is the input file, the file that you want to decrypt. The second argument is where you want to store the decrypted file. The last argument is the password required to decrypt the archive.
Example:

function main()
{
DecryptArc("C:\\Test.tze","C:\\Temp\\","MyPassword");
}


MakeSFX
MakeSFX(var Input,var Stub)
This function converts a TUGZip encrypted archive (*.tze) to a self-extracting encrypted archive. This function has two arguments. The first one is what encrypted file to convert. The second one is the stub you want to use. TUGZip currently only supports two different stub versions: a DOS version (EncDos.sfx) and one Windows version (EncWin.sfx).
Example:

function main()
{
MakeSFX("C:\\Test.tze","C:\\TUGZip\\EncDos.sfx");
}


Echo
Echo(var Text)
This function prints text to the TzScript.exe console window. This function has only one argument.
Example:

function main()
{
Echo("Hello World!");
Pause();
}


Pause
Pause()
This function pauses the program and waits for a keypress to continue. This function has no arguments.
Example:

function main()
{
Echo("Press any key to continue... ");
Pause();
}


GetInput
GetInput()
This function lets you capture keyboard input. This function will read all keyboard presses until return is pressed. Then the function returns what was typed on the keyboard.
Example:

function main()
{
Echo("Please enter your name: ");
var Name = GetInput();
Echo("Hello: " + Name);
Pause();
}


GetPass
GetPass(var Text)
This function will ask the user to enter a password. The password will be returned when the return key is pressed. This function has one argument which is the text to be displayed before the password input field.
Example:

function main()
{
var Password = GetPass("Enter password:");
Echo("This is your password: " + Password);
Pause();
}